ClipboardContent (JavaFX 17)

Module javafx.graphics
Package javafx.scene.input

## Class ClipboardContent

- java.lang.Object
- - java.util.AbstractMap<K,​V>
  - - java.util.HashMap<DataFormat,​Object>
    - - javafx.scene.input.ClipboardContent

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Map<DataFormat,​Object>`

      public class ClipboardContent
      extends HashMap<DataFormat,​Object>

  Data container for `Clipboard` data. It can hold multiple data in several data formats.
  Since:
    JavaFX 2.0
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces declared in class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K extends Object,​V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,​V extends Object>`

    - ### Nested classes/interfaces declared in interface java.util.Map

      `Map.Entry<K extends Object,​V extends Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClipboardContent()` | Creates a `ClipboardContent`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<File>` | `getFiles()` | Gets the List of Files from the `ClipboardContent` which had previously been put.
    `String` | `getHtml()` | Gets the HTML String from the `ClipboardContent` which had previously been put.
    `Image` | `getImage()` | Gets the Image from the `ClipboardContent` which had previously been put.
    `String` | `getRtf()` | Gets the RTF String from the `ClipboardContent` which had previously been put.
    `String` | `getString()` | Gets the plain text String from the `ClipboardContent` which had previously been put.
    `String` | `getUrl()` | Gets the URL String from the `ClipboardContent` which had previously been put.
    `boolean` | `hasFiles()` | Gets whether a List of Files (`DataFormat.FILES`) has been put to this `ClipboardContent`.
    `boolean` | `hasHtml()` | Gets whether an HTML String (`DataFormat.HTML`) has been put to this `ClipboardContent`.
    `boolean` | `hasImage()` | Gets whether an Image (`DataFormat.IMAGE`) has been put to this `ClipboardContent`.
    `boolean` | `hasRtf()` | Gets whether a RTF String (`DataFormat.RTF`) has been put to this `ClipboardContent`.
    `boolean` | `hasString()` | Gets whether a plain text String (`DataFormat.PLAIN_TEXT`) has been put to this `ClipboardContent`.
    `boolean` | `hasUrl()` | Gets whether a URL String (`DataFormat.URL`) has been put to this `ClipboardContent`.
    `boolean` | `putFiles​(List<File> files)` | Puts a List of Files into the `ClipboardContent`.
    `boolean` | `putFilesByPath​(List<String> filePaths)` | Puts a List of Files into the `ClipboardContent`, based on the file path.
    `boolean` | `putHtml​(String html)` | Puts an HTML String into the `ClipboardContent`.
    `boolean` | `putImage​(Image i)` | Puts an Image into the `ClipboardContent`.
    `boolean` | `putRtf​(String rtf)` | Puts a RTF String into the `ClipboardContent`.
    `boolean` | `putString​(String s)` | Puts a plain text String into the `ClipboardContent`.
    `boolean` | `putUrl​(String url)` | Puts a URL String into the `ClipboardContent`.

    - ### Methods declared in class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods declared in class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods declared in class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods declared in interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### ClipboardContent

          public ClipboardContent()

      Creates a `ClipboardContent`.

  - ### Method Detail

    - #### hasString

          public final boolean hasString()

      Gets whether a plain text String (`DataFormat.PLAIN_TEXT`) has been put to this `ClipboardContent`.
      Returns:
        true if `containsKey(DataFormat.PLAIN_TEXT)` returns true, false otherwise

    - #### putString

          public final boolean putString​(String s)

      Puts a plain text String into the `ClipboardContent`. This is equivalent to invoking `put(DataFormat.PLAIN_TEXT, s)`. Setting this value to null effectively clears it from the `ClipboardContent`.
      Parameters:
        `s` - The string to place. This may be null.
      Returns:
        always true (the string is always successfully put)

    - #### getString

          public final String getString()

      Gets the plain text String from the `ClipboardContent` which had previously been put. This is equivalent to invoking `get(DataFormat.PLAIN_TEXT)`. If no such entry exists, null is returned.
      Returns:
        The String in the `ClipboardContent` associated with `DataFormat.PLAIN_TEXT`, or null if there is not one.

    - #### hasUrl

          public final boolean hasUrl()

      Gets whether a URL String (`DataFormat.URL`) has been put to this `ClipboardContent`.
      Returns:
        true if `containsKey(DataFormat.URL)` returns true, false otherwise

    - #### putUrl

          public final boolean putUrl​(String url)

      Puts a URL String into the `ClipboardContent`. This is equivalent to invoking `put(DataFormat.URL, url)`. Setting this value to null effectively clears it from the `ClipboardContent`.
      Parameters:
        `url` - The string to place. This may be null.
      Returns:
        always true (the URL is always successfully put)

    - #### getUrl

          public final String getUrl()

      Gets the URL String from the `ClipboardContent` which had previously been put. This is equivalent to invoking `get(DataFormat.URL)`. If no such entry exists, null is returned.
      Returns:
        The String in the `ClipboardContent` associated with `DataFormat.URL`, or null if there is not one.

    - #### hasHtml

          public final boolean hasHtml()

      Gets whether an HTML String (`DataFormat.HTML`) has been put to this `ClipboardContent`.
      Returns:
        true if `containsKey(DataFormat.HTML)` returns true, false otherwise

    - #### putHtml

          public final boolean putHtml​(String html)

      Puts an HTML String into the `ClipboardContent`. This is equivalent to invoking `put(DataFormat.HTML, html)`. Setting this value to null effectively clears it from the `ClipboardContent`.
      Parameters:
        `html` - The string to place. This may be null.
      Returns:
        always true (the HTML is always successfully put)

    - #### getHtml

          public final String getHtml()

      Gets the HTML String from the `ClipboardContent` which had previously been put. This is equivalent to invoking `get(DataFormat.HTML)`. If no such entry exists, null is returned.
      Returns:
        The String in the `ClipboardContent` associated with `DataFormat.HTML`, or null if there is not one.

    - #### hasRtf

          public final boolean hasRtf()

      Gets whether a RTF String (`DataFormat.RTF`) has been put to this `ClipboardContent`.
      Returns:
        true if `containsKey(DataFormat.RTF)` returns true, false otherwise

    - #### putRtf

          public final boolean putRtf​(String rtf)

      Puts a RTF String into the `ClipboardContent`. This is equivalent to invoking `put(DataFormat.RTF, rtf)`. Setting this value to null effectively clears it from the `ClipboardContent`.
      Parameters:
        `rtf` - The string to place. This may be null.
      Returns:
        always true (the RTF is always successfully put)

    - #### getRtf

          public final String getRtf()

      Gets the RTF String from the `ClipboardContent` which had previously been put. This is equivalent to invoking `get(DataFormat.RTF)`. If no such entry exists, null is returned.
      Returns:
        The String in the `ClipboardContent` associated with `DataFormat.RTF`, or null if there is not one.

    - #### hasImage

          public final boolean hasImage()

      Gets whether an Image (`DataFormat.IMAGE`) has been put to this `ClipboardContent`.
      Returns:
        true if `containsKey(DataFormat.IMAGE)` returns true, false otherwise

    - #### putImage

          public final boolean putImage​(Image i)

      Puts an Image into the `ClipboardContent`. This is equivalent to invoking `put(DataFormat.IMAGE, i)`. Setting this value to null effectively clears it from the `ClipboardContent`. When an image is placed on the clipboard in this manner, an operating system dependent image is loaded onto the clipboard (such as TIFF on Mac or DIB on Windows).
      Parameters:
        `i` - The image to place. This may be null.
      Returns:
        always true (the image is always successfully put)

    - #### getImage

          public final Image getImage()

      Gets the Image from the `ClipboardContent` which had previously been put. This is equivalent to invoking `get(DataFormat.IMAGE)`. If no such entry exists, null is returned.
      Returns:
        The Image in the `ClipboardContent` associated with `DataFormat.IMAGE`, or null if there is not one.

    - #### hasFiles

          public final boolean hasFiles()

      Gets whether a List of Files (`DataFormat.FILES`) has been put to this `ClipboardContent`.
      Returns:
        true if `containsKey(DataFormat.FILES)` returns true, false otherwise

    - #### putFiles

          public final boolean putFiles​(List<File> files)

      Puts a List of Files into the `ClipboardContent`. This is equivalent to invoking `put(DataFormat.FILES, files)`. Setting this value to null effectively clears it from the `ClipboardContent`.
      Parameters:
        `files` - The files to place. This may be null.
      Returns:
        always true (the files are always successfully put)

    - #### putFilesByPath

          public final boolean putFilesByPath​(List<String> filePaths)

      Puts a List of Files into the `ClipboardContent`, based on the file path. This is simply a convenience method which constructs a List of Files and invokes the `putFiles(java.util.List<java.io.File>)` method.
      Parameters:
        `filePaths` - The files to place. This may be null.
      Returns:
        always true (the files are always successfully put)

    - #### getFiles

          public final List<File> getFiles()

      Gets the List of Files from the `ClipboardContent` which had previously been put. This is equivalent to invoking `get(DataFormat.FILES)`. If no such entry exists, null is returned.
      Returns:
        The List of Files in the `ClipboardContent` associated with `DataFormat.FILES`, or null if there is not one.